Last Comment Bug 662870 - Use a native rendering for meter elements on MacOS X
: Use a native rendering for meter elements on MacOS X
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 659999 663365
Blocks: 555985 663119
  Show dependency treegraph
 
Reported: 2011-06-08 11:28 PDT by Mounir Lamouri (:mounir)
Modified: 2012-06-06 06:22 PDT (History)
8 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
WIP Patch (8.61 KB, patch)
2011-06-08 11:28 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Review
Patch v1 (10.83 KB, patch)
2011-06-09 07:17 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Review
Patch v1 (11.01 KB, patch)
2011-06-09 12:31 PDT, Mounir Lamouri (:mounir)
bgirard: review+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2011-06-08 11:28:01 PDT
Created attachment 538077 [details] [diff] [review]
WIP Patch

I see three open questions:
 - What are the native sizes (for mini, small, regular widgets)?
 - Is there a native vertical style?
 - There are 4 styles, the most obvious one to use by default is continuous but do we want to allow the authors to use discrete, rating and relevancy ones? I would say not for the moment. Webkit allows that, see http://trac.webkit.org/wiki/Styling%20Form%20Controls

Work in progress patch attached works but don't use native sizes (but progress ones) and don't takes into account vertical widget.
Comment 1 Mounir Lamouri (:mounir) 2011-06-09 07:17:43 PDT
Created attachment 538255 [details] [diff] [review]
Patch v1

There are three widget sizes (mini, small and regular) but all of them have the same size (height=16px).
I will write another patch for the vertical meter widget given that there is no native widget for that and I will have to rotate the widget in the implementation.
Comment 2 Mounir Lamouri (:mounir) 2011-06-09 12:31:26 PDT
Created attachment 538317 [details] [diff] [review]
Patch v1

Adding a test for RTL meter.
Comment 3 Josh Aas 2011-06-13 23:48:12 PDT
Benoit, can you do this review?
Comment 4 Benoit Girard (:BenWa) 2011-06-14 07:55:50 PDT
Comment on attachment 538317 [details] [diff] [review]
Patch v1

Review of attachment 538317 [details] [diff] [review]:
-----------------------------------------------------------------

r+
Comment 5 Mounir Lamouri (:mounir) 2012-06-06 06:22:32 PDT
https://hg.mozilla.org/mozilla-central/rev/cd74e9324088

Note You need to log in before you can comment on or make changes to this bug.